Index: /trunk/gsdl-documentation/manuals/processing/xml-to-index.xsl
===================================================================
--- /trunk/gsdl-documentation/manuals/processing/xml-to-index.xsl	(revision 14098)
+++ /trunk/gsdl-documentation/manuals/processing/xml-to-index.xsl	(revision 14099)
@@ -22,5 +22,5 @@
 	<div class="indexlink"><a href="../../index.html"><xsl:value-of select="/Manual/SupplementaryText/Text[@id='top_index']"/></a></div>
 	
-  <xsl:apply-templates select="Text"/>
+    <xsl:apply-templates select="Text"/>
 	<xsl:apply-templates select="Comment"/>
 	<xsl:call-template name="version_and_date"/>	
@@ -32,4 +32,7 @@
 	  <xsl:apply-templates select="Chapter"/>
 	</dl>
+	
+	<hr/>
+	<div style="text-align:center;"><xsl:apply-templates select="/Manual/Section[@id='copyright']/Content"/></div>
   </body>
 </html>
Index: /trunk/gsdl-documentation/manuals/processing/xml-to-many-html.xsl
===================================================================
--- /trunk/gsdl-documentation/manuals/processing/xml-to-many-html.xsl	(revision 14098)
+++ /trunk/gsdl-documentation/manuals/processing/xml-to-many-html.xsl	(revision 14099)
@@ -48,5 +48,9 @@
 	  </xsl:for-each>
 	</xsl:if>
-	</td></tr></table>
+	</td></tr>
+	</table>
+	
+	<hr/>
+	<div style="text-align:center;"><xsl:apply-templates select="/Manual/Section[@id='copyright']/Content"/></div>
       </body>
     </html>    
Index: /trunk/gsdl-documentation/manuals/processing/xml-to-one-html.xsl
===================================================================
--- /trunk/gsdl-documentation/manuals/processing/xml-to-one-html.xsl	(revision 14098)
+++ /trunk/gsdl-documentation/manuals/processing/xml-to-one-html.xsl	(revision 14099)
@@ -43,4 +43,6 @@
 			<xsl:if test="FootnoteList"><hr/><xsl:apply-templates select="FootnoteList"/></xsl:if>	
 			</td></tr></table>
+	<hr/>
+	<div style="text-align:center;"><xsl:apply-templates select="/Manual/Section[@id='copyright']/Content"/></div>
     </body>
   </html>
Index: /trunk/gsdl-documentation/manuals/processing/xml-to-pdf.xsl
===================================================================
--- /trunk/gsdl-documentation/manuals/processing/xml-to-pdf.xsl	(revision 14098)
+++ /trunk/gsdl-documentation/manuals/processing/xml-to-pdf.xsl	(revision 14099)
@@ -4,4 +4,6 @@
 <xsl:include href="fo-common.xsl"/>
 <xsl:include href="crossref-pdf.xsl"/>
+
+<xsl:variable name="licence" select="document('GNUFDL.xml')/Licence"/>
 
 <xsl:attribute-set name="toc-heading-style">
@@ -144,4 +146,12 @@
   </xsl:for-each>
 </xsl:for-each>
+
+<!-- GNUFDL -->
+<fo:block xsl:use-attribute-sets="toc-chapter-style">
+<fo:basic-link color="black" internal-destination="{$licence/@id}"><xsl:apply-templates select="$licence/Title/Text"/>
+  <fo:leader leader-pattern="space"/><fo:page-number-citation ref-id="{$licence/@id}"/>
+</fo:basic-link>
+</fo:block>
+
 <!-- figure and table lists -->
 <!--
@@ -199,4 +209,13 @@
 </xsl:if>
 </xsl:for-each>
+
+<fo:block break-after="page"/>
+
+<!-- the GNU FDL -->
+<!-- header -->
+<fo:block xsl:use-attribute-sets="page-heading-style"><fo:marker marker-class-name="head"><xsl:value-of select="$licence/Title"/></fo:marker></fo:block>
+<!-- licence content -->
+<fo:block><xsl:apply-templates select="$licence/*[not(Filename)]"/></fo:block>
+
 </fo:flow>
 </fo:page-sequence>
Index: /trunk/gsdl-documentation/manuals/processing/xml-to-top-index.xsl
===================================================================
--- /trunk/gsdl-documentation/manuals/processing/xml-to-top-index.xsl	(revision 14098)
+++ /trunk/gsdl-documentation/manuals/processing/xml-to-top-index.xsl	(revision 14099)
@@ -32,4 +32,11 @@
       	<dl><xsl:apply-templates select="file"><xsl:with-param name="manualNodes" select="document(file/@href)"/></xsl:apply-templates></dl>
       </xsl:for-each>
+      
+      <hr/>
+	  <div style="text-align:center;">	  
+	  <xsl:apply-templates select="Manual[1]/file" mode="copyright">
+	  	<xsl:with-param name="manualNodes" select="document(Manual[1]/file/@href)"/>	  	
+  	  </xsl:apply-templates>
+  	  </div>
 	</body>
 </html>
@@ -41,4 +48,9 @@
 </xsl:template>
 
+<xsl:template match="file" mode="copyright">
+<xsl:param name="manualNodes"/>
+<xsl:apply-templates select="$manualNodes/Manual/Section[@id='copyright']/Content"/>
+</xsl:template>
+
 <xsl:template match="Chapter">
 	<dd><a href="en/html/Chapter_{@id}.htm"><xsl:apply-templates select="Title/Text"/></a><xsl:text>  </xsl:text>[<a href="es/html/Chapter_{@id}.htm"><xsl:value-of select="$es"/></a><xsl:text>  </xsl:text><a href="fr/html/Chapter_{@id}.htm"><xsl:value-of select="$fr"/></a><xsl:text>  </xsl:text><a href="ru/html/Chapter_{@id}.htm"><xsl:value-of select="$ru"/></a>]</dd>  
